Subject: bug#37756: [PATCH] Wrong initialization of fringe bitmap

From: Carlos Pita <[email-masked]>
Date: Wed, 16 Oct 2019 17:01:11 -0300

> Use one of the related Emacs commands, and Emacs will do that for you.
> Those commands are described in CONTRIBUTE under "Generating ChangeLog
> entries".

I'm having some issues doing that because I'm using magit to amend /
reword previously committed changes, so the instructions there don't
quite match my situation. Will try harder later, for now I just
modified the message after some examples in your git log. Hope it's ok
now.
From dcb47d7cfb83fb4b5a28c7f909aea8e5aab11893 Mon Sep 17 00:00:00 2001
From: memeplex <[email-masked]>
Date: Wed, 16 Oct 2019 13:44:00 -0300
Subject: [PATCH] Remove redundant initialization of fringe bitmap (Bug#37756)

* src/fringe.c (Fdefine-fringe-bitmap): Remove redundant zeroing
of fb.bits that only zeroed half of the array anyway.
---
 src/fringe.c | 1 -
 1 file changed, 1 deletion(-)

diff --git a/src/fringe.c b/src/fringe.c
index 22f3bdc..08bf271 100644
--- a/src/fringe.c
+++ b/src/fringe.c
@@ -1607,7 +1607,6 @@ list (ALIGN PERIODIC) where PERIODIC non-nil specifies that the bitmap
   fb.bits = b = ((unsigned short *)
 		 ptr_bounds_clip (xfb + 1, fb.height * BYTES_PER_BITMAP_ROW));
   xfb = ptr_bounds_clip (xfb, sizeof *xfb);
-  memset (b, 0, fb.height);
 
   j = 0;
   while (j < fb.height)
-- 
2.20.1